
<%
/************************************************************@@
  * Program Name	: doc_list.jsp
  * Description		: /집계자/내문서함/등록함/문서 목록
  * Author				: 강원중
  * Create Date		: 2004.10.11
  * History				:
@@************************************************************/
%>

<%@ page contentType="text/html; charset=UTF-8"
	import="kr.co.kihyun.beans.user.UserView"
	import="kr.co.kihyun.beans.user.DeptView" import="java.net.URLDecoder"
	import="kr.co.kihyun.lang.MInteger" import="kr.co.kihyun.lang.MLong"
	import="kr.co.kihyun.beans.totsys.doc.Doc"
	import="kr.co.kihyun.lang.MString"%>
<%@ include file="/totsys/common/inc/sec/secure.inc.jsp"%>
<%
try{
	/******* Parameter *********/
	String userID = "";
	String deptID = "";
	Long docID = null;
	int formName = 0;
	
	userID = clearXSS(URLDecoder.decode(request.getParameter("userID"), "UTF-8"),"");
	deptID = request.getParameter("deptID");
	docID = MLong.parseLong(request.getParameter("docID"),null);
	formName = MInteger.parseInt(request.getParameter("formName"));

	/***** doc getUserID *********/
	Doc doc = new Doc();
	if(docID != null){
		deptID = doc.getRegisterDept(docID);
	}

	/******* 집계자 정보 *********/	
	//String deptID = "";
	String deptName = "";
	String userName = "";
	String phone = "";
	String email = "";

	UserView userView = new UserView();
	if(deptID != null){
                //v2. 13.SQL 삽입 : userView.executeQuery()에서 prepare SQL 문으로 되어 있다.
		userView.executeQuery(userID,deptID);
                //=================
	}else{
                //v2. 13.SQL 삽입 : userView.executeQuery()에서 prepare SQL 문으로 되어 있다.
		userView.executeQuery(userID);
                //=================
	}
	DeptView deptView = new DeptView();
        //v2. 13.SQL 삽입 : deptView.executeQuery()에서 prepare SQL 문으로 되어 있다.
	deptView.executeQuery(deptID);
        //=================
	//deptID = userView.getDeptID();
	deptName = deptView.getName();
	userName = userView.getName();
	phone = userView.getPhone();
	email = userView.getEmail();

	if(phone==null) phone="";
	if(email==null) email="";

	%>
<!--스타일시트-->
<link rel="stylesheet" href="/totsys/common/css/kecttep.css"
	type="text/css">

<tr>
	<td height="10"></td>
</tr>

<!--세미타이틀-->
<tr>
	<td colspan="4">
	<table border="0" width="100%" cellpadding="0" cellspacing="0">
		<tr>
			<td style="width: 14"><img
				src="/totsys/repoper/mydocbox/tempbox/images/ico_1.gif"></td>
			<td class="kecttep_title" style="padding-left: 5" align="left"
				width="100%">제출자 정보</td>
			<td>&nbsp;</td>
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td height="3"></td>
		</tr>
	</table>
	</td>
</tr>




<tr>
	<td colspan="4">
	<table border="1" bordercolor="#abbddd" width="100%" cellpadding="0"
		cellspacing="0">
		<tr>
			<td width="149" class="kecttep_tdmenu"><img
				src="/totsys/repoper/mydocbox/tempbox/images/reg_icon.gif"
				align="absmiddle"> <%if(formName == 1){%>등록자명<%}else{%>제출자<%}%>
			</td>
			<td width="326" style="padding-left: 15; padding-top: 4;"
				class="kecttep_table" colspan="3"><%= userName %>&nbsp;</td>
			<!--td width="149" class="kecttep_tdmenu"><img src="/totsys/repoper/mydocbox/tempbox/images/reg_icon.gif" align="absmiddle" ><%if(formName == 1){%>등록자 ID<%}else{%>제출자 ID<%}%>											
										</td>
										<td width="326" style="padding-left:15; padding-top:4;" class="kecttep_table"><%= userID %>&nbsp;</td-->
		</tr>
		<tr>
			<td height="27" class="kecttep_tdmenu"><img
				src="/totsys/repoper/mydocbox/tempbox/images/reg_icon.gif"
				align="absmiddle">제출 기관/부서</td>
			<td
				background="/totsys/repoper/mydocbox/tempbox/images/tot_info_bg2.gif"
				style="padding-left: 15; padding-top: 4;" class="kecttep_table"><%= deptName %>&nbsp;</td>
			<td height="27" class="kecttep_tdmenu"><img
				src="/totsys/repoper/mydocbox/tempbox/images/reg_icon.gif"
				align="absmiddle">전화번호</td>
			<td
				background="/totsys/repoper/mydocbox/tempbox/images/tot_info_bg2.gif"
				style="padding-left: 15; padding-top: 4;" class="kecttep_table"><%= phone %>&nbsp;</td>
		</tr>
		<tr>
			<td class="kecttep_tdmenu"><img
				src="/totsys/repoper/mydocbox/tempbox/images/reg_icon.gif"
				align="absmiddle">E-MAIL</td>
			<td style="padding-left: 15; padding-top: 4;" class="kecttep_table"><%= email %>&nbsp;</td>
			<td class="kecttep_tdmenu"><img
				src="/totsys/repoper/mydocbox/tempbox/images/reg_icon.gif"
				align="absmiddle">기타</td>
			<td style="padding-left: 15; padding-top: 4;">&nbsp;</td>
		</tr>
	</table>
	</td>
</tr>
<!---- 집계자 정보 끝---->
<%
}catch(Exception ex){ex.printStackTrace();
	out.println(kr.co.kihyun.text.html.ServletUtil.getJavaScript("location='/servlet/kr.co.kihyun.beans.user.HttpSSOLogin?mode=logout';"));
}finally{	
}
%>
